Server
curl --request GET \
--url https://servers.flashrdp.com/api/server/{serverId} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://servers.flashrdp.com/api/server/{serverId}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://servers.flashrdp.com/api/server/{serverId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "6b32bae9-83e9-44f9-afd4-244f1fa27a49",
"name": "Test VM",
"hostname": null,
"suspended": false,
"protected": false,
"migrating": false,
"deleting": false,
"backupCreating": false,
"rescue": false,
"vncEnabled": false,
"isoMounted": false,
"uefi": false,
"bootOrder": [
"hd",
"cdrom"
],
"memory": "1024 MB",
"cpu": "2 Core",
"storage": [
{
"capacity": "10 GB",
"enabled": true,
"primary": true,
"created": "2025-08-17T11:06:30+00:00"
}
],
"network": {
"primary": {
"mac": "00:FA:D9:01:AC:45",
"limit": null,
"ipv4": [
{
"address": "10.5.5.6",
"gateway": "10.5.5.2",
"netmask": "255.255.255.0"
}
],
"ipv6": [
{
"subnet": "2604:f440:4:5:4::/80",
"gateway": "2604:f440:4:5::1",
"addresses": [
"2604:f440:4:5:4::a"
]
}
]
},
"secondary": {
"mac": "00:E8:8B:7B:45:85",
"limit": null,
"ipv4": [
{
"address": "10.40.40.2",
"gateway": "10.40.40.1",
"netmask": "255.255.255.0"
}
],
"ipv6": [
{
"subnet": "2604:f440:4:5:5::/80",
"gateway": "2604:f440:4:5::1",
"addresses": [
"2604:f440:4:5:5::a"
]
}
]
}
},
"currentMonthlyPeriod": {
"start": "2025-10-17T00:00:00.000000Z",
"end": "2025-11-16T23:59:59.999999Z"
},
"state": {
"status": "running",
"running": true,
"cpu": "0.3 %",
"network": {
"primary": {
"traffic": {
"rx": 85047516,
"tx": 69343413,
"total": 154390929
}
}
}
},
"created": "2025-08-17T11:06:30+00:00"
}
}This response has no body data.{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}This response has no body data.Server
Retrieves the server associated with the specified ID.
GET
/
server
/
{serverId}
Server
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Path Parameters
Query Parameters
Retrieve the remote state of the server.
Response
Show child attributes
Show child attributes
Last modified on June 20, 2026